| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XMLSynchronizedStringPool Class Reference

List of all members.

## Public Member Functions

| XMLSynchronizedStringPool (const XMLStringPool *constPool, const unsigned int modulus=109, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~XMLSynchronizedStringPool ()
virtual unsigned int | addOrFind (const XMLCh *const newString)
virtual bool | exists (const XMLCh *const newString) const
virtual bool | exists (const unsigned int id) const
virtual void | flushAll ()
virtual unsigned int | getId (const XMLCh *const toFind) const
virtual const XMLCh * | getValueForId (const unsigned int id) const
virtual unsigned int | getStringCount () const

## Constructor & Destructor Documentation

XMLSynchronizedStringPool::XMLSynchronizedStringPool | ( | const XMLStringPool * | constPool,
|  | const unsigned int | modulus = `109`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

virtual XMLSynchronizedStringPool::~XMLSynchronizedStringPool | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual unsigned int XMLSynchronizedStringPool::addOrFind | ( | const XMLCh *const | newString | ) | `[virtual]`

virtual bool XMLSynchronizedStringPool::exists | ( | const unsigned int | id | ) | const`[virtual]`

virtual bool XMLSynchronizedStringPool::exists | ( | const XMLCh *const | newString | ) | const`[virtual]`

virtual void XMLSynchronizedStringPool::flushAll | ( |  | ) | `[virtual]`

virtual unsigned int XMLSynchronizedStringPool::getId | ( | const XMLCh *const | toFind | ) | const`[virtual]`

virtual unsigned int XMLSynchronizedStringPool::getStringCount | ( |  | ) | const`[virtual]`

virtual const XMLCh* XMLSynchronizedStringPool::getValueForId | ( | const unsigned int | id | ) | const`[virtual]`

The documentation for this class was generated from the following file:

- SynchronizedStringPool.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.